## org.eclipse.jst.jsf.common.metadata.query
Class AbstractResultSet<T>

    java.lang.Object
      org.eclipse.jst.jsf.common.metadata.query.AbstractResultSet<T>

Type Parameters:
  `T` -

All Implemented Interfaces:
  IResultSet<T>

    public abstract class AbstractResultSet<T>

extends java.lang.Object
implements IResultSet<T>

Abstract implementation of `IResultSet` that developers may subclass. Users should assume that the results are only valid at the time of the query. This may change in the future.

Provisional API - subject to change

Constructor Summary
`AbstractResultSet()`

Method Summary
`void` `close()` Signal that the query results are no longer required allowing for any cleanup that may be required Once a resultset is closed, a MetaDataException should be thrown if the next() or hasNext() is called.
`java.util.List<T>` `getResults()`
`boolean` `isClosed()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractResultSet

    public AbstractResultSet()

Method Detail

### getResults

    public java.util.List<T> getResults()
                                 throws MetaDataException

  Specified by:
    `getResults` in interface `IResultSet<T>`
  Returns:
    unmodifiable List of results. May NOT be null. Implementer must return Collections.EMPTY_LIST instead.
  Throws:
    `MetaDataException`

### close

    public final void close()
                     throws MetaDataException

  Description copied from interface: `IResultSet`
  Signal that the query results are no longer required allowing for any cleanup that may be required Once a resultset is closed, a MetaDataException should be thrown if the next() or hasNext() is called. Clients can check isClosed() first.

  Specified by:
    `close` in interface `IResultSet<T>`
  Throws:
    `MetaDataException`

### isClosed

    public final boolean isClosed()

  Specified by:
    `isClosed` in interface `IResultSet<T>`
  Returns:
    true if this resultset has been closed.